import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/base/material/` + url, ...arg)

/**
 * 物料Api接口管理器
 *
 * @author Luck
 * @date  2024/07/24 19:54
 **/
export default {
	// 获取物料分页
	materialPage(data) {
		return request('page', data, 'get')
	},
	// 获取物料 -- 物料包装数据
	materialPackageData(data) {
		return request('/package/data', data, 'get')
	},
	// 提交物料表单 edit为true时为编辑，默认为新增
	materialSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除物料
	materialDelete(data) {
		return request('delete', data)
	},
	// 获取物料详情
	materialDetail(data) {
		return request('detail', data, 'get')
	}
}
